import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'deviceOrderStatus',
  standalone: true
})
export class DeviceOrderStatusPipe implements PipeTransform {

  transform(status: number): string {
    switch (status) {
      case 1:
        return '待支付';
      case 2:
        return '已支付';
      case 3:
        return '已完成';
      case 4:
        return '已退款';
      default:
        return '未知';
    }
  }
}
